Bug 1294978 - 'udev_enumerate_scan_devices failed' with USB laser printer "Brother HL-1110 series"
'udev_enumerate_scan_devices failed' with USB laser printer "Brother HL-1110 ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 07:22 EST by Andreas Spengler
Modified: 2016-12-20 12:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:31:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped strace output (38.42 KB, application/x-gzip)
2016-01-10 06:29 EST, Andreas Spengler
no flags Details

  None (edit)
Description Andreas Spengler 2015-12-31 07:22:03 EST
Description of problem:
When plugging in above b/w laser printer, "journalctl -xe" says 

Dec 31 12:59:30 server udev-configure-printer[1105]: add usb-003-002
Dec 31 12:59:30 server udev-configure-printer[1105]: device devpath is /devices/pci0000:00/0000:00:1d.1/usb3/3-2
Dec 31 12:59:30 server udev-configure-printer[1105]: udev_enumerate_scan_devices failed
Dec 31 12:59:30 server systemd[1]: configure-printer@usb-003-002.service: Main process exited, code=exited, status=1/FAILURE
Dec 31 12:59:30 server systemd[1]: configure-printer@usb-003-002.service: Unit entered failed state.
Dec 31 12:59:30 server audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=configure-printer@usb-003-002 comm="systemd" exe="/
Dec 31 12:59:30 server systemd[1]: configure-printer@usb-003-002.service: Failed with result 'exit-code'.

Version-Release number of selected component (if applicable):
1.5.7-5.fc23

How reproducible:
Always

Steps to Reproduce:
1. Boot up computer
2. Switch on printer

Actual results:
Printer does not work. "lpq" says:
 laser is not ready

Expected results:
Printer should work
Comment 1 Andreas Spengler 2016-01-01 09:15:54 EST
lsusb -v output:

Bus 003 Device 003: ID 04f9:0054 Brother Industries, Ltd 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x04f9 Brother Industries, Ltd
  idProduct          0x0054 
  bcdDevice            1.00
  iManufacturer           1 Brother
  iProduct                2 HL-1110 series
  iSerial                 3 K3N506794
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower                2mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      2 Bidirectional
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0010  1x 16 bytes
        bInterval               0
Device Status:     0x0000
  (Bus Powered)
Comment 2 Jiri Popelka 2016-01-04 07:54:46 EST
While the udev-configure-printer tries to configure 003-002, the lsusb claims the printer is 003-003 device. But I guess that's because you run the lsusb later (perhaps after reboot or so ?). Can you confirm that ?

(In reply to Andreas Spengler from comment #0)
> Dec 31 12:59:30 server udev-configure-printer[1105]: add usb-003-002

(In reply to Andreas Spengler from comment #1)
> Bus 003 Device 003: ID 04f9:0054 Brother Industries, Ltd
Comment 3 Andreas Spengler 2016-01-04 11:18:16 EST
Yes, Jiri, that's true. Sorry, should have mentioned it...
Comment 4 Jiri Popelka 2016-01-07 08:24:52 EST
Ok, could you try it once more with 
# udevadm monitor
in another terminal.
Once it fails, run the
# lsusb
and
# strace /usr/lib/udev/udev-configure-printer add usb-003-002 > strace.txt 2>&1
where the numbers in usb-003-002 has to be replaced with correct bus and device numbers of the printer (per lsusb).

Attach all the outputs (you might want to compress them first).

Thanks

to me:
Seem it failed in get_ieee1284_id_from_child ()
because udev couldn't enumerate (with filter) devices.
Comment 5 Andreas Spengler 2016-01-10 06:25:37 EST
[root@server ~]# udevadm monitor
monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[45843.060616] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2 (usb)
KERNEL[45843.063652] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0 (usb)
UDEV  [45843.097694] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2 (usb)
KERNEL[45843.149212] add      /module/usblp (module)
UDEV  [45843.151218] add      /module/usblp (module)
KERNEL[45843.153218] add      /class/usbmisc (class)
KERNEL[45843.153720] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/usbmisc/lp0 (usbmisc)
KERNEL[45843.153826] add      /bus/usb/drivers/usblp (drivers)
UDEV  [45843.153959] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0 (usb)
UDEV  [45843.154485] add      /class/usbmisc (class)
UDEV  [45843.156734] add      /bus/usb/drivers/usblp (drivers)
UDEV  [45843.159283] add      /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/usbmisc/lp0 (usbmisc)
Comment 6 Andreas Spengler 2016-01-10 06:29 EST
Created attachment 1113271 [details]
gzipped strace output
Comment 7 Fedora Admin XMLRPC Client 2016-06-24 06:41:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2016-11-24 09:37:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 12:31:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.